WaveFile

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javazoom.jl.converter
Class WaveFile

    java.lang.Object
      javazoom.jl.converter.RiffFile
          javazoom.jl.converter.WaveFile

public class WaveFile
extends RiffFile

Class allowing WaveFormat Access

Nested Class Summary
`class` | `WaveFile.WaveFileSample`

Field Summary
`static int` | `MAX_WAVE_CHANNELS`

Fields inherited from class javazoom.jl.converter.RiffFile
`DDC_FAILURE, DDC_FILE_ERROR, DDC_INVALID_CALL, DDC_INVALID_FILE, DDC_OUT_OF_MEMORY, DDC_SUCCESS, DDC_USER_ABORT, file, fmode, RFM_READ, RFM_UNKNOWN, RFM_WRITE`

Constructor Summary
`WaveFile()` Constructs a new WaveFile instance.

Method Summary
`short` | `BitsPerSample()`
`int` | `Close()` Close Riff File.
`long` | `CurrentFilePosition()` Return File Position.
`short` | `NumChannels()`
`int` | `NumSamples()`
`int` | `OpenForWrite(java.lang.String Filename, int SamplingRate, short BitsPerSample, short NumChannels)`
`int` | `OpenForWrite(java.lang.String Filename, WaveFile OtherWave)` Open for write using another wave file's parameters...
`int` | `SamplingRate()`
`int` | `WriteData(short[] data, int numData)` Write 16-bit audio

Methods inherited from class javazoom.jl.converter.RiffFile
`Backpatch, Backpatch, CurrentFileMode, Expect, FourCC, Open, Read, Seek, Write, Write, Write, Write, Write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_WAVE_CHANNELS

    public static final int MAX_WAVE_CHANNELS

See Also:
  Constant Field Values

Constructor Detail

### WaveFile

    public WaveFile()

  Constructs a new WaveFile instance.

Method Detail

### OpenForWrite

    public int OpenForWrite(java.lang.String Filename,
                            int SamplingRate,
                            short BitsPerSample,
                            short NumChannels)

### WriteData

    public int WriteData(short[] data,
                         int numData)

  Write 16-bit audio

### Close

    public int Close()

  Description copied from class: `RiffFile`
  Close Riff File. Length is written too.

  Overrides:
    `Close` in class `RiffFile`

### SamplingRate

    public int SamplingRate()

### BitsPerSample

    public short BitsPerSample()

### NumChannels

    public short NumChannels()

### NumSamples

    public int NumSamples()

### OpenForWrite

    public int OpenForWrite(java.lang.String Filename,
                            WaveFile OtherWave)

  Open for write using another wave file's parameters...

### CurrentFilePosition

    public long CurrentFilePosition()

  Description copied from class: `RiffFile`
  Return File Position.

  Overrides:
    `CurrentFilePosition` in class `RiffFile`

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

JavaZOOM 1999-2005